Skip to content

Consent

Samples & Streaming-Data always reference the relevant consent ids.
Once a consent is revoked CarNEO stores the revocation persistently and forwards the revocation towards your endpoint.
The message will include the relevant consent_id.
It is possible to perform a simple lookup to find all data residing on your infrastructure that is tagged with the relevant consent_id and delete that data.
We differ between consent, external Consent and IDK consent.

Set Consent

A consent links a vehicle to a project and all its associated campaigns.
When a link is established, vehicles will execute their associated campaigns.
If a vehicle executes a campaign, it will collect data specified by the campaign.
All data acquired by a given consent is tagged with the consent.
When the consent is revoked, all associated data is being deleted automatically.

API:

POST /consents/{organization_id}/{project_id}/:batchGetConsent

Set External Consent

External consent are managed by trustworthy external systems.
They are responsible for granting and revoking said consents.
Thus, this feature can be used to build custom consent-procedures.
This feature needs prior approval by an organization admin.

1) Create external Consent :
POST /ext/consents/{organization_id}/{project_id}

Note: When creating an external consent, supply organization_id and project_id.
You may optionally provide vin and/or car_user_identity as query parameters.
The received consent id is the primary key and is used for retrieval and revocation (GET/DELETE on .../{consent_id}). vin and car_user_identity are only for association and filtering and are not substitutes for the consent id. Multiple consents can exist for the same vin or car_user_identity across projects/organizations; uniqueness is enforced by the consent id.

2) Submit Organization's application for using External Consents:
POST /ext/applications/{organization_id}/:apply

Set IDK Consent

Automated consent-flow for individual vehicle drivers.
Provides functionality to generate project specific landing pages for vehicle drivers.
A landing page requires the vehicle driver to authenticate via IDK.
After authentication, the vehicle driver is asked project scoped consent.
After granting said consent, it will reference vin and car user identity.
This feature needs prior approval an organisation admin.

API:

POST /idk/consents/{organization_id}/{project_id}

Apply for Project Access :

POST /idk/applications/{organization_id}/{project_id}/:apply